Raised This Month: $ Target: $400
 0% 

Updater


Post New Thread Reply   
 
Thread Tools Display Modes
ddhoward
Veteran Member
Join Date: May 2012
Location: California
Old 06-30-2020 , 21:22   Re: Updater
Reply With Quote #631

Quote:
Originally Posted by Fate97 View Post
I've read every single page but I can't really find it :/
Must not have looked that hard; it's been asked about 4 times over the last 4 pages.

https://forums.alliedmods.net/showpo...&postcount=563
__________________
ddhoward is offline
enderandrew
Senior Member
Join Date: Jun 2020
Old 07-09-2020 , 14:27   Re: Updater
Reply With Quote #632

So this compiles with 26 warnings, and it wasn't updated for the new syntax.

Code:
SourcePawn Compiler 1.10.0.6490
Copyright (c) 1997-2006 ITB CompuPhase
Copyright (c) 2004-2018 AlliedModders LLC

updater/plugins.sp(41) : warning 213: tag mismatch
updater/plugins.sp(55) : warning 213: tag mismatch
updater/plugins.sp(84) : warning 213: tag mismatch
updater/plugins.sp(87) : warning 213: tag mismatch
updater/plugins.sp(90) : warning 213: tag mismatch
updater/plugins.sp(93) : warning 213: tag mismatch
updater/plugins.sp(128) : warning 213: tag mismatch
updater/plugins.sp(135) : warning 213: tag mismatch
updater/plugins.sp(142) : warning 213: tag mismatch
updater/plugins.sp(149) : warning 213: tag mismatch
updater/plugins.sp(156) : warning 213: tag mismatch
updater/download_socket.sp(41) : warning 213: tag mismatch
updater/download_socket.sp(44) : warning 213: tag mismatch
updater/download_socket.sp(47) : warning 213: tag mismatch
updater/download_socket.sp(50) : warning 213: tag mismatch
updater/download_socket.sp(62) : warning 213: tag mismatch
updater/download_socket.sp(73) : warning 213: tag mismatch
updater/download_socket.sp(104) : warning 213: tag mismatch
updater/download_socket.sp(134) : warning 213: tag mismatch
updater/download_socket.sp(161) : warning 213: tag mismatch
updater/download_socket.sp(166) : warning 213: tag mismatch
updater/download_socket.sp(193) : warning 213: tag mismatch
updater/download.sp(64) : warning 213: tag mismatch
updater/download.sp(127) : warning 213: tag mismatch
updater.sp(110) : warning 234: symbol "FCVAR_PLUGIN" is marked as deprecated: No logic using this flag ever existed in a released game. It only ever appeared in the first hl2sdk.

updater.sp(114) : warning 234: symbol "FCVAR_PLUGIN" is marked as deprecated: No logic using this flag ever existed in a released game. It only ever appeared in the first hl2sdk.

Code size:            31300 bytes
Data size:             8928 bytes
Stack/heap size:      16384 bytes
Total requirements:   56612 bytes

26 Warnings.
Updated syntax. Fixed all the warnings so it compiles with no warnings. No error in my sourcemod logs.
Attached Files
File Type: zip updater.zip (36.5 KB, 448 views)

Last edited by enderandrew; 07-09-2020 at 16:31.
enderandrew is offline
HiddenConn1
AlliedModders Donor
Join Date: Aug 2009
Location: Cambridge, UK
Old 02-20-2021 , 12:53   Re: Updater
Reply With Quote #633

Code:
L 02/20/2021 - 17:50:58: [UPDATER] --- BEGIN ERRORS FROM AUTOMATIC UPDATER ---
L 02/20/2021 - 17:50:58: [UPDATER] Could not open /home/tcagame/ugcclan/4/cstrike/addons/sourcemod/gamedata/sm-cstrike.games/game.csgo.txt for writing
L 02/20/2021 - 17:50:58: [UPDATER] Could not open /home/tcagame/ugcclan/4/cstrike/addons/sourcemod/gamedata/sm-cstrike.games/master.games.txt for writing
L 02/20/2021 - 17:50:58: [UPDATER] Could not open /home/tcagame/ugcclan/4/cstrike/addons/sourcemod/gamedata/sm-cstrike.games/game.css.txt for writing
L 02/20/2021 - 17:50:58: [UPDATER] --- END ERRORS FROM AUTOMATIC UPDATER ---
I keep getting this and I'm confused as to how to resolve it. Any help?
__________________
HiddenConn1 is offline
eyal282
Veteran Member
Join Date: Aug 2011
Old 04-28-2021 , 01:35   Re: Updater
Reply With Quote #634

Assume 2 plugins. One is heavily dependant and one is the core. How to make the heavy dependancies plugin not download if it does not exist in the server?
__________________
I am available to make plugins for pay.

Discord: Eyal282#1334
eyal282 is offline
Suddenly
New Member
Join Date: May 2021
Old 05-31-2021 , 07:16   Re: Updater
Reply With Quote #635

L 05/31/2021 - 19:05:46: [SM] Exception reported: Could not read Handle 2e002e (error 1)
L 05/31/2021 - 19:05:46: [SM] Blaming: updater.smx
L 05/31/2021 - 19:05:46: [SM] Call stack trace:
L 05/31/2021 - 19:05:46: [SM] [0] GetPluginInfo
L 05/31/2021 - 19:05:46: [SM] [1] Line 142, updater/filesys.sp:arseUpdateFile
L 05/31/2021 - 19:05:46: [SM] [2] Line 161, updater/download.sp:ownloadEnded
L 05/31/2021 - 19:05:46: [SM] [3] Line 30, updater/download_steamworks.sp::OnSteamWorksHTTPCompl ete

I can't find an available version of Updater. How can i get that?
Suddenly is offline
Zeky
Member
Join Date: Jul 2019
Old 12-15-2021 , 09:12   Re: Updater
Reply With Quote #636

Tryed to use your plugin, but get this:

Quote:
L 12/15/2021 - 14:06:25: SMC parsing error on line 0
L 12/15/2021 - 14:06:25: [0] URL: http://godtony.mooo.com/updater/updater.txt
L 12/15/2021 - 14:06:25: [1] ERROR: Line contained too many invalid tokens
Zeky is offline
Teamkiller324
Senior Member
Join Date: Feb 2014
Location: m_bTeamKiller
Old 01-04-2022 , 05:53   Re: Updater
Reply With Quote #637

https://github.com/Teamkiller324/Updater
__________________
Steam - GitHub - Tk Libraries - Updater
No private plugin requests.

Last edited by Teamkiller324; 01-04-2022 at 05:53.
Teamkiller324 is offline
Send a message via Skype™ to Teamkiller324
Dr. McKay
Sir Dr. SourceMod Plugin Approver Esq. Ltd. M.D. PhD
Join Date: Aug 2011
Location: Atlantis
Old 01-25-2022 , 04:56   Re: Updater
Reply With Quote #638

Quote:
Originally Posted by Teamkiller324 View Post
Your fork updates itself over HTTPS, but still supports using the Socket extension as a download mechanism, which isn't going to work with HTTPS.
__________________
Dr. McKay is offline
Teamkiller324
Senior Member
Join Date: Feb 2014
Location: m_bTeamKiller
Old 01-26-2022 , 22:26   Re: Updater
Reply With Quote #639

Quote:
Originally Posted by Dr. McKay View Post
Your fork updates itself over HTTPS, but still supports using the Socket extension as a download mechanism, which isn't going to work with HTTPS.
ty for the heads up
__________________
Steam - GitHub - Tk Libraries - Updater
No private plugin requests.
Teamkiller324 is offline
Send a message via Skype™ to Teamkiller324
Dr. McKay
Sir Dr. SourceMod Plugin Approver Esq. Ltd. M.D. PhD
Join Date: Aug 2011
Location: Atlantis
Old 01-27-2022 , 03:13   Re: Updater
Reply With Quote #640

Quote:
Originally Posted by Teamkiller324 View Post
ty for the heads up
If you're going to drop support for all download extensions except SteamWorks, you should probably remove the #undef REQUIRE_EXTENSIONS before you include the SteamWorks include so the plugin will refuse to load without having SteamWorks available. Also remove the socket.inc include.

Also, your EXTENSION_ERROR still makes reference to requiring Socket or SteamWorks. Although that error message (and the checks that generate it) should be unnecessary if you require SteamWorks.
__________________
Dr. McKay is offline
Reply


Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -4. The time now is 08:27.


Powered by vBulletin®
Copyright ©2000 - 2022, vBulletin Solutions, Inc.
Theme made by Freecode